package org.springblade.estate.feign;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.plugins.Page;
import org.springblade.core.mp.support.BladePage;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.GuestRecordDTO;
import org.springblade.estate.entity.GuestRecord;
import org.springblade.estate.vo.GuestRecordVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class GuestRecordClientFallback implements IGuestRecordClient {
            /**
         * 详情
         */
        @Override
        public GuestRecordVO detail(GuestRecord guestRecord) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<GuestRecordVO> list(GuestRecord guestRecord) {
            return null;
        }

	@Override
	public Integer count(GuestRecord guestRecord) {
		return null;
	}

	@Override
	public BladePage<GuestRecordVO> page(GuestRecordDTO guestRecord) {
		return null;
	}


	/**
         * 新增
         */
        @Override
        public boolean save( GuestRecord guestRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( GuestRecord guestRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( GuestRecord guestRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public GuestRecord getById(Long id) {
		return null;
	}

	@Override
	public R audit(GuestRecord guestRecord) {
		return null;
	}

}
